Name:		mpifileutils
Version:	0.8.1
Release:	1%{?dist}
Summary:	File utilities designed for scalability and performance.

License:	BSD
URL:		https://hpc.github.io/mpifileutils/
Source:		https://github.com/hpc/mpifileutils/releases/download/v%{version}/%{name}-%{version}.tar.gz
Patch1:		mpifileutils-dtcmp.patch
Patch2:		mpifileutils-stdbool.patch
BuildRequires: libcircle-openmpi-devel lwgrp-devel dtcmp-devel libarchive-devel openssl-devel
BuildRequires: openmpi-devel pkgconfig automake libattr-devel autoconf%{?el6:268}

%description
File utilities designed for scalability and performance.

%prep
%setup -q
%patch1 -p1
%{?el6:%patch2 -p1}
autoreconf%{?el6:268}

%build
topdir=`pwd`
#installdir=$topdir/install
%_openmpi_load
#export PATH="${topdir}/autotools/install/bin:$PATH"
export PKG_CONFIG_PATH="$PKG_CONFIG_PATH:$MPI_LIB/pkgconfig"
export CC=mpicc
# hack to get things to build after common library
export CFLAGS="-I${topdir}/src/common -DDCOPY_USE_XATTRS -Wno-strict-prototypes"
export LIBS="-L$MPI_LIB -lcircle -ldtcmp -llwgrp"

%configure \
  --bindir=$MPI_BIN \
  --enable-lustre \
  --disable-silent-rules --includedir=$MPI_INCLUDE --mandir=$MPI_MAN --libdir=$MPI_LIB
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}


%files
%{_libdir}/openmpi/bin/*
%{_includedir}/openmpi-%_arch/*
%{_libdir}/openmpi/lib
%{_mandir}/openmpi-%_arch/man1/*

%changelog
* Fri Nov 30 2018 Dave Love <loveshack@fedoraproject.org> - 0.8.1-1
- New version

* Thu Jan 18 2018 Dave Love <loveshack@fedoraproject.org> - 0.7-3
- Rebuild against rebuilt Fedora libcircle

* Wed Jan 17 2018 Dave Love <loveshack@fedoraproject.org> - 0.7-2
- Fix URL

* Wed Sep 20 2017 Dave Love <loveshack@fedoraproject.org> - 0.7-1
- New version
- Modifications to be Fedora-ish and generally build
